Last Comment Bug 779922 - msconfig.vs2010 contains POSIX-style paths
: msconfig.vs2010 contains POSIX-style paths
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on:
Blocks: 593585
  Show dependency treegraph
 
Reported: 2012-08-02 10:40 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-08-07 10:28 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
possible patch (5.30 KB, patch)
2012-08-02 15:34 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
fixed patch (5.71 KB, patch)
2012-08-02 15:37 PDT, Siddharth Agarwal [:sid0] (inactive)
ted: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-08-02 10:40:21 PDT
https://mxr.mozilla.org/mozilla-central/source/build/win32/mozconfig.vs2010?raw=1&ctype=

This breaks pymake. Horribly.
Comment 1 Justin Wood (:Callek) 2012-08-02 10:48:01 PDT
The only good solution I can think of is to do export FOO=`choose_right_path.xy .....` or some such. Not sure if others would agree with me regarding that complexity though.
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-08-02 15:34:44 PDT
Created attachment 648521 [details] [diff] [review]
possible patch

Another issue cropped up: backslashes in PATH etc weren't escaped properly. I fixed that too.

I'm running a pymake build on my loaner build machine right now.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-08-02 15:37:40 PDT
Created attachment 648523 [details] [diff] [review]
fixed patch

oops, missed a file.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2012-08-06 10:38:39 PDT
Comment on attachment 648523 [details] [diff] [review]
fixed patch

Review of attachment 648523 [details] [diff] [review]:
-----------------------------------------------------------------

This is horrible, but not much worse than it was previously.

::: build/autoconf/mozconfig2client-mk
@@ +31,5 @@
>    for _opt
>    do
>      # Escape shell characters, space, tab, dollar, quote, backslash,
>      # and substitute '@<word>@' with '$(<word>)'.
> +    _opt=`echo "$_opt" | sed -e 's/\([\"\\]\)/\\\\\1/g; s/@\([^@]*\)@/\$(\1)/g;'`

I have no idea how I would possibly review this, so I'm just going to trust your judgement.
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2012-08-06 14:13:21 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/3cc378b302c9
Comment 6 Ed Morley [:emorley] 2012-08-07 07:36:23 PDT
https://hg.mozilla.org/mozilla-central/rev/3cc378b302c9
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2012-08-07 10:28:59 PDT
Ported to comm-central to fix check-sync-dirs.py failures: http://hg.mozilla.org/comm-central/rev/106fe68e2fae

Note You need to log in before you can comment on or make changes to this bug.